Completely removed dependency on automake
authorSam Lantinga <slouken@libsdl.org>
Mon, 20 Feb 2006 02:09:49 +0000
changeset 1380d94b080ff6ce
parent 1379 c0a74f199ecf
child 1381 8570e1f4b1f1
Completely removed dependency on automake
.cvsignore
Makefile.in
autogen.sh
configure.in
test/.cvsignore
test/Makefile.am
test/Makefile.in
test/acinclude.m4
test/autogen.sh
test/configure.in
test/missing
     1.1 --- a/.cvsignore	Sun Feb 19 23:46:34 2006 +0000
     1.2 +++ b/.cvsignore	Mon Feb 20 02:09:49 2006 +0000
     1.3 @@ -4,13 +4,8 @@
     1.4  config.log
     1.5  config.status
     1.6  configure
     1.7 -depcomp
     1.8 -install-sh
     1.9  libtool
    1.10  Makefile
    1.11 -Makefile.in
    1.12 -missing
    1.13 -mkinstalldirs
    1.14  sdl-config
    1.15  SDL.spec
    1.16  SDL.qpg
     2.1 --- a/Makefile.in	Sun Feb 19 23:46:34 2006 +0000
     2.2 +++ b/Makefile.in	Mon Feb 20 02:09:49 2006 +0000
     2.3 @@ -15,6 +15,7 @@
     2.4  distdir = SDL-@SDL_VERSION@
     2.5  distfile = $(distdir).tar.gz
     2.6  
     2.7 +@SET_MAKE@
     2.8  SHELL	= @SHELL@
     2.9  CC      = @CC@
    2.10  INCLUDE = @INCLUDE@
    2.11 @@ -104,6 +105,7 @@
    2.12  
    2.13  clean:
    2.14  	rm -rf $(objects)
    2.15 +	if test -f test/Makefile; then (cd test; $(MAKE) $@); fi
    2.16  
    2.17  distclean: clean
    2.18  	rm -f Makefile include/SDL_config.h sdl-config
    2.19 @@ -115,6 +117,7 @@
    2.20  	    -name '.#*' \
    2.21  	    -exec rm -f {} \;
    2.22  	cp include/SDL_config.h.minimal include/SDL_config.h
    2.23 +	if test -f test/Makefile; then (cd test; $(MAKE) $@); fi
    2.24  
    2.25  dist $(distfile):
    2.26  	$(SHELL) @ac_aux_dir@/mkinstalldirs $(distdir)
     3.1 --- a/autogen.sh	Sun Feb 19 23:46:34 2006 +0000
     3.2 +++ b/autogen.sh	Mon Feb 20 02:09:49 2006 +0000
     3.3 @@ -6,8 +6,7 @@
     3.4  # Regenerate configuration files
     3.5  cp acinclude.m4 aclocal.m4
     3.6  autoconf
     3.7 -# FIXME
     3.8 -#(cd test; aclocal; autoconf)
     3.9 +(cd test; sh autogen.sh)
    3.10  
    3.11  # Run configure for this platform
    3.12  echo "Now you are ready to run ./configure"
     4.1 --- a/configure.in	Sun Feb 19 23:46:34 2006 +0000
     4.2 +++ b/configure.in	Mon Feb 20 02:09:49 2006 +0000
     4.3 @@ -82,6 +82,7 @@
     4.4  AC_PROG_CC
     4.5  AC_PROG_CXX
     4.6  AC_PROG_INSTALL
     4.7 +AC_PROG_MAKE_SET
     4.8  
     4.9  dnl Check for compiler characteristics
    4.10  AC_C_CONST
     5.1 --- a/test/.cvsignore	Sun Feb 19 23:46:34 2006 +0000
     5.2 +++ b/test/.cvsignore	Mon Feb 20 02:09:49 2006 +0000
     5.3 @@ -1,11 +1,10 @@
     5.4 -Makefile.in
     5.5 -Makefile
     5.6 -configure
     5.7 +aclocal.m4
     5.8 +autom4te*
     5.9  config.cache
    5.10  config.log
    5.11  config.status
    5.12 -autom4te*
    5.13 -aclocal.m4
    5.14 +configure
    5.15 +Makefile
    5.16  SDL.dll
    5.17  stdout.txt
    5.18  stderr.txt
    5.19 @@ -38,3 +37,4 @@
    5.20  testwin
    5.21  testwm
    5.22  threadwin
    5.23 +torturethread
     6.1 --- a/test/Makefile.am	Sun Feb 19 23:46:34 2006 +0000
     6.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
     6.3 @@ -1,18 +0,0 @@
     6.4 -AUTOMAKE_OPTIONS = no-dependencies
     6.5 -
     6.6 -noinst_PROGRAMS = \
     6.7 -	testver testtypes testendian testcpuinfo \
     6.8 -	testhread testlock testerror testsem testtimer \
     6.9 -	loopwave testcdrom testkeys testvidinfo checkkeys testwin graywin \
    6.10 -	testsprite testbitmap testalpha testgamma testpalette testwm \
    6.11 -	threadwin testoverlay testoverlay2 testgl testdyngl testjoystick \
    6.12 -	testblitspeed
    6.13 -
    6.14 -testalpha_SOURCES = testalpha.c
    6.15 -testalpha_LDADD = @MATHLIB@
    6.16 -testgamma_SOURCES = testgamma.c
    6.17 -testgamma_LDADD = @MATHLIB@
    6.18 -testpalette_SOURCES = testpalette.c
    6.19 -testpalette_LDADD = @MATHLIB@
    6.20 -testgl_SOURCES = testgl.c
    6.21 -testgl_LDADD = @GL_LIBS@ @MATHLIB@
     7.1 --- /dev/null	Thu Jan 01 00:00:00 1970 +0000
     7.2 +++ b/test/Makefile.in	Mon Feb 20 02:09:49 2006 +0000
     7.3 @@ -0,0 +1,111 @@
     7.4 +# Makefile to build the SDL tests
     7.5 +
     7.6 +srcdir  = @srcdir@
     7.7 +
     7.8 +CC      = @CC@
     7.9 +EXE	= @EXE@
    7.10 +CFLAGS  = @CFLAGS@
    7.11 +LIBS	= @LIBS@
    7.12 +
    7.13 +TARGETS = checkkeys$(EXE) graywin$(EXE) loopwave$(EXE) testalpha$(EXE) testbitmap$(EXE) testblitspeed$(EXE) testcdrom$(EXE) testcpuinfo$(EXE) testdyngl$(EXE) testendian$(EXE) testerror$(EXE) testgamma$(EXE) testgl$(EXE) testhread$(EXE) testjoystick$(EXE) testkeys$(EXE) testlock$(EXE) testoverlay2$(EXE) testoverlay$(EXE) testpalette$(EXE) testsem$(EXE) testsprite$(EXE) testtimer$(EXE) testtypes$(EXE) testver$(EXE) testvidinfo$(EXE) testwin$(EXE) testwm$(EXE) threadwin$(EXE) torturethread$(EXE)
    7.14 +
    7.15 +all: $(TARGETS)
    7.16 +
    7.17 +checkkeys$(EXE): $(srcdir)/checkkeys.c
    7.18 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.19 +
    7.20 +graywin$(EXE): $(srcdir)/graywin.c
    7.21 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.22 +
    7.23 +loopwave$(EXE): $(srcdir)/loopwave.c
    7.24 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.25 +
    7.26 +testalpha$(EXE): $(srcdir)/testalpha.c
    7.27 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS) @MATHLIB@
    7.28 +
    7.29 +testbitmap$(EXE): $(srcdir)/testbitmap.c
    7.30 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.31 +
    7.32 +testblitspeed$(EXE): $(srcdir)/testblitspeed.c
    7.33 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.34 +
    7.35 +testcdrom$(EXE): $(srcdir)/testcdrom.c
    7.36 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.37 +
    7.38 +testcpuinfo$(EXE): $(srcdir)/testcpuinfo.c
    7.39 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.40 +
    7.41 +testdyngl$(EXE): $(srcdir)/testdyngl.c
    7.42 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.43 +
    7.44 +testendian$(EXE): $(srcdir)/testendian.c
    7.45 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.46 +
    7.47 +testerror$(EXE): $(srcdir)/testerror.c
    7.48 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.49 +
    7.50 +testgamma$(EXE): $(srcdir)/testgamma.c
    7.51 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS) @MATHLIB@
    7.52 +
    7.53 +testgl$(EXE): $(srcdir)/testgl.c
    7.54 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS) @GLLIB@ @MATHLIB@
    7.55 +
    7.56 +testhread$(EXE): $(srcdir)/testhread.c
    7.57 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.58 +
    7.59 +testjoystick$(EXE): $(srcdir)/testjoystick.c
    7.60 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.61 +
    7.62 +testkeys$(EXE): $(srcdir)/testkeys.c
    7.63 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.64 +
    7.65 +testlock$(EXE): $(srcdir)/testlock.c
    7.66 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.67 +
    7.68 +testoverlay2$(EXE): $(srcdir)/testoverlay2.c
    7.69 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.70 +
    7.71 +testoverlay$(EXE): $(srcdir)/testoverlay.c
    7.72 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.73 +
    7.74 +testpalette$(EXE): $(srcdir)/testpalette.c
    7.75 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS) @MATHLIB@
    7.76 +
    7.77 +testsem$(EXE): $(srcdir)/testsem.c
    7.78 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.79 +
    7.80 +testsprite$(EXE): $(srcdir)/testsprite.c
    7.81 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS) @MATHLIB@
    7.82 +
    7.83 +testtimer$(EXE): $(srcdir)/testtimer.c
    7.84 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.85 +
    7.86 +testtypes$(EXE): $(srcdir)/testtypes.c
    7.87 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.88 +
    7.89 +testver$(EXE): $(srcdir)/testver.c
    7.90 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.91 +
    7.92 +testvidinfo$(EXE): $(srcdir)/testvidinfo.c
    7.93 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.94 +
    7.95 +testwin$(EXE): $(srcdir)/testwin.c
    7.96 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
    7.97 +
    7.98 +testwm$(EXE): $(srcdir)/testwm.c
    7.99 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
   7.100 +
   7.101 +threadwin$(EXE): $(srcdir)/threadwin.c
   7.102 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
   7.103 +
   7.104 +torturethread$(EXE): $(srcdir)/torturethread.c
   7.105 +	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
   7.106 +
   7.107 +
   7.108 +clean:
   7.109 +	rm -f $(TARGETS)
   7.110 +
   7.111 +distclean: clean
   7.112 +	rm -f Makefile
   7.113 +	rm -f config.status config.cache config.log
   7.114 +	rm -rf $(srcdir)/autom4te*
     8.1 --- a/test/acinclude.m4	Sun Feb 19 23:46:34 2006 +0000
     8.2 +++ b/test/acinclude.m4	Mon Feb 20 02:09:49 2006 +0000
     8.3 @@ -52,8 +52,10 @@
     8.4             sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
     8.5      if test "x$enable_sdltest" = "xyes" ; then
     8.6        ac_save_CFLAGS="$CFLAGS"
     8.7 +      ac_save_CXXFLAGS="$CXXFLAGS"
     8.8        ac_save_LIBS="$LIBS"
     8.9        CFLAGS="$CFLAGS $SDL_CFLAGS"
    8.10 +      CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
    8.11        LIBS="$LIBS $SDL_LIBS"
    8.12  dnl
    8.13  dnl Now check if the installed SDL is sufficiently new. (Also sanity
    8.14 @@ -138,6 +140,7 @@
    8.15         else
    8.16            echo "*** Could not run SDL test program, checking why..."
    8.17            CFLAGS="$CFLAGS $SDL_CFLAGS"
    8.18 +          CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
    8.19            LIBS="$LIBS $SDL_LIBS"
    8.20            AC_TRY_LINK([
    8.21  #include <stdio.h>
    8.22 @@ -162,10 +165,12 @@
    8.23            echo "*** or that you have moved SDL since it was installed. In the latter case, you"
    8.24            echo "*** may want to edit the sdl-config script: $SDL_CONFIG" ])
    8.25            CFLAGS="$ac_save_CFLAGS"
    8.26 +          CXXFLAGS="$ac_save_CXXFLAGS"
    8.27            LIBS="$ac_save_LIBS"
    8.28         fi
    8.29       fi
    8.30       SDL_CFLAGS=""
    8.31 +     SDL_CXXFLAGS=""
    8.32       SDL_LIBS=""
    8.33       ifelse([$3], , :, [$3])
    8.34    fi
     9.1 --- a/test/autogen.sh	Sun Feb 19 23:46:34 2006 +0000
     9.2 +++ b/test/autogen.sh	Mon Feb 20 02:09:49 2006 +0000
     9.3 @@ -1,9 +1,5 @@
     9.4  #!/bin/sh
     9.5  #
     9.6 -aclocal
     9.7 -automake --foreign --add-missing
     9.8 +# Regenerate configuration files
     9.9 +cp acinclude.m4 aclocal.m4
    9.10  autoconf
    9.11 -
    9.12 -# Run configure for this platform
    9.13 -#./configure $*
    9.14 -echo "Now you are ready to run ./configure"
    10.1 --- a/test/configure.in	Sun Feb 19 23:46:34 2006 +0000
    10.2 +++ b/test/configure.in	Mon Feb 20 02:09:49 2006 +0000
    10.3 @@ -1,15 +1,10 @@
    10.4  dnl Process this file with autoconf to produce a configure script.
    10.5  AC_INIT(README)
    10.6  
    10.7 -dnl Setup for automake
    10.8 -SDL_VERSION=1.2.7
    10.9 -
   10.10  dnl Detect the canonical host and target build environment
   10.11 +AC_CONFIG_AUX_DIRS($srcdir/../build-scripts)
   10.12  AC_CANONICAL_SYSTEM
   10.13  
   10.14 -dnl Setup for automake
   10.15 -AM_INIT_AUTOMAKE(SDL_tests, $SDL_VERSION)
   10.16 -
   10.17  dnl Check for tools
   10.18  
   10.19  AC_PROG_CC
   10.20 @@ -18,29 +13,32 @@
   10.21  
   10.22  AC_C_CONST
   10.23  
   10.24 -FIXME: add math library for testsprite
   10.25 -
   10.26  dnl Figure out which math library to use
   10.27  case "$target" in
   10.28      *-*-cygwin* | *-*-mingw32*)
   10.29 +        EXE=".exe"
   10.30          MATHLIB=""
   10.31          SYS_GL_LIBS="-lopengl32"
   10.32          ;;
   10.33      *-*-beos*)
   10.34 +        EXE=""
   10.35          MATHLIB=""
   10.36          SYS_GL_LIBS="-lGL"
   10.37          ;;
   10.38      *-*-darwin* )
   10.39 +        EXE=""
   10.40          MATHLIB=""
   10.41          SYS_GL_LIBS=""
   10.42          ;;
   10.43      *-*-aix*)
   10.44 +        EXE=""
   10.45          if test x$ac_cv_prog_gcc = xyes; then
   10.46              CFLAGS="-mthreads"
   10.47          fi
   10.48          SYS_GL_LIBS=""
   10.49          ;;
   10.50      *-*-mint*)
   10.51 +        EXE=""
   10.52          MATHLIB=""
   10.53          AC_PATH_PROG(OSMESA_CONFIG, osmesa-config, no)
   10.54          if test "x$OSMESA_CONFIG" = "xyes"; then
   10.55 @@ -53,21 +51,16 @@
   10.56          fi
   10.57  		;;
   10.58      *)
   10.59 +        EXE=""
   10.60          MATHLIB="-lm"
   10.61 -        AC_PATH_X
   10.62 -        AC_PATH_XTRA
   10.63 -        if test x$have_x = xyes; then
   10.64 -            CFLAGS="$CFLAGS $X_CFLAGS"
   10.65 -            SYS_GL_LIBS="$X_LIBS -lGL"
   10.66 -        else
   10.67 -            SYS_GL_LIBS="-lGL"
   10.68 -        fi
   10.69 +        SYS_GL_LIBS="-lGL"
   10.70          ;;
   10.71  esac
   10.72 +AC_SUBST(EXE)
   10.73  AC_SUBST(MATHLIB)
   10.74  
   10.75  dnl Check for SDL
   10.76 -
   10.77 +SDL_VERSION=1.2.7
   10.78  AM_PATH_SDL($SDL_VERSION,
   10.79              :,
   10.80  	    AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
   10.81 @@ -87,11 +80,11 @@
   10.82  AC_MSG_RESULT($have_opengl)
   10.83  if test x$have_opengl = xyes; then
   10.84      CFLAGS="$CFLAGS -DHAVE_OPENGL"
   10.85 -    GL_LIBS="$SYS_GL_LIBS"
   10.86 +    GLLIB="$SYS_GL_LIBS"
   10.87  else
   10.88 -    GL_LIBS=""
   10.89 +    GLLIB=""
   10.90  fi
   10.91 -AC_SUBST(GL_LIBS)
   10.92 +AC_SUBST(GLLIB)
   10.93  
   10.94 -# Finally create all the generated files
   10.95 +dnl Finally create all the generated files
   10.96  AC_OUTPUT([Makefile])
    11.1 --- a/test/missing	Sun Feb 19 23:46:34 2006 +0000
    11.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
    11.3 @@ -1,336 +0,0 @@
    11.4 -#! /bin/sh
    11.5 -# Common stub for a few missing GNU programs while installing.
    11.6 -# Copyright (C) 1996, 1997, 1999, 2000, 2002 Free Software Foundation, Inc.
    11.7 -# Originally by Fran,cois Pinard <pinard@iro.umontreal.ca>, 1996.
    11.8 -
    11.9 -# This program is free software; you can redistribute it and/or modify
   11.10 -# it under the terms of the GNU General Public License as published by
   11.11 -# the Free Software Foundation; either version 2, or (at your option)
   11.12 -# any later version.
   11.13 -
   11.14 -# This program is distributed in the hope that it will be useful,
   11.15 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
   11.16 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   11.17 -# GNU General Public License for more details.
   11.18 -
   11.19 -# You should have received a copy of the GNU General Public License
   11.20 -# along with this program; if not, write to the Free Software
   11.21 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   11.22 -# 02111-1307, USA.
   11.23 -
   11.24 -# As a special exception to the GNU General Public License, if you
   11.25 -# distribute this file as part of a program that contains a
   11.26 -# configuration script generated by Autoconf, you may include it under
   11.27 -# the same distribution terms that you use for the rest of that program.
   11.28 -
   11.29 -if test $# -eq 0; then
   11.30 -  echo 1>&2 "Try \`$0 --help' for more information"
   11.31 -  exit 1
   11.32 -fi
   11.33 -
   11.34 -run=:
   11.35 -
   11.36 -# In the cases where this matters, `missing' is being run in the
   11.37 -# srcdir already.
   11.38 -if test -f configure.ac; then
   11.39 -  configure_ac=configure.ac
   11.40 -else
   11.41 -  configure_ac=configure.in
   11.42 -fi
   11.43 -
   11.44 -case "$1" in
   11.45 ---run)
   11.46 -  # Try to run requested program, and just exit if it succeeds.
   11.47 -  run=
   11.48 -  shift
   11.49 -  "$@" && exit 0
   11.50 -  ;;
   11.51 -esac
   11.52 -
   11.53 -# If it does not exist, or fails to run (possibly an outdated version),
   11.54 -# try to emulate it.
   11.55 -case "$1" in
   11.56 -
   11.57 -  -h|--h|--he|--hel|--help)
   11.58 -    echo "\
   11.59 -$0 [OPTION]... PROGRAM [ARGUMENT]...
   11.60 -
   11.61 -Handle \`PROGRAM [ARGUMENT]...' for when PROGRAM is missing, or return an
   11.62 -error status if there is no known handling for PROGRAM.
   11.63 -
   11.64 -Options:
   11.65 -  -h, --help      display this help and exit
   11.66 -  -v, --version   output version information and exit
   11.67 -  --run           try to run the given command, and emulate it if it fails
   11.68 -
   11.69 -Supported PROGRAM values:
   11.70 -  aclocal      touch file \`aclocal.m4'
   11.71 -  autoconf     touch file \`configure'
   11.72 -  autoheader   touch file \`config.h.in'
   11.73 -  automake     touch all \`Makefile.in' files
   11.74 -  bison        create \`y.tab.[ch]', if possible, from existing .[ch]
   11.75 -  flex         create \`lex.yy.c', if possible, from existing .c
   11.76 -  help2man     touch the output file
   11.77 -  lex          create \`lex.yy.c', if possible, from existing .c
   11.78 -  makeinfo     touch the output file
   11.79 -  tar          try tar, gnutar, gtar, then tar without non-portable flags
   11.80 -  yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
   11.81 -    ;;
   11.82 -
   11.83 -  -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
   11.84 -    echo "missing 0.4 - GNU automake"
   11.85 -    ;;
   11.86 -
   11.87 -  -*)
   11.88 -    echo 1>&2 "$0: Unknown \`$1' option"
   11.89 -    echo 1>&2 "Try \`$0 --help' for more information"
   11.90 -    exit 1
   11.91 -    ;;
   11.92 -
   11.93 -  aclocal*)
   11.94 -    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
   11.95 -       # We have it, but it failed.
   11.96 -       exit 1
   11.97 -    fi
   11.98 -
   11.99 -    echo 1>&2 "\
  11.100 -WARNING: \`$1' is missing on your system.  You should only need it if
  11.101 -         you modified \`acinclude.m4' or \`${configure_ac}'.  You might want
  11.102 -         to install the \`Automake' and \`Perl' packages.  Grab them from
  11.103 -         any GNU archive site."
  11.104 -    touch aclocal.m4
  11.105 -    ;;
  11.106 -
  11.107 -  autoconf)
  11.108 -    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
  11.109 -       # We have it, but it failed.
  11.110 -       exit 1
  11.111 -    fi
  11.112 -
  11.113 -    echo 1>&2 "\
  11.114 -WARNING: \`$1' is missing on your system.  You should only need it if
  11.115 -         you modified \`${configure_ac}'.  You might want to install the
  11.116 -         \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
  11.117 -         archive site."
  11.118 -    touch configure
  11.119 -    ;;
  11.120 -
  11.121 -  autoheader)
  11.122 -    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
  11.123 -       # We have it, but it failed.
  11.124 -       exit 1
  11.125 -    fi
  11.126 -
  11.127 -    echo 1>&2 "\
  11.128 -WARNING: \`$1' is missing on your system.  You should only need it if
  11.129 -         you modified \`acconfig.h' or \`${configure_ac}'.  You might want
  11.130 -         to install the \`Autoconf' and \`GNU m4' packages.  Grab them
  11.131 -         from any GNU archive site."
  11.132 -    files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' ${configure_ac}`
  11.133 -    test -z "$files" && files="config.h"
  11.134 -    touch_files=
  11.135 -    for f in $files; do
  11.136 -      case "$f" in
  11.137 -      *:*) touch_files="$touch_files "`echo "$f" |
  11.138 -				       sed -e 's/^[^:]*://' -e 's/:.*//'`;;
  11.139 -      *) touch_files="$touch_files $f.in";;
  11.140 -      esac
  11.141 -    done
  11.142 -    touch $touch_files
  11.143 -    ;;
  11.144 -
  11.145 -  automake*)
  11.146 -    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
  11.147 -       # We have it, but it failed.
  11.148 -       exit 1
  11.149 -    fi
  11.150 -
  11.151 -    echo 1>&2 "\
  11.152 -WARNING: \`$1' is missing on your system.  You should only need it if
  11.153 -         you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'.
  11.154 -         You might want to install the \`Automake' and \`Perl' packages.
  11.155 -         Grab them from any GNU archive site."
  11.156 -    find . -type f -name Makefile.am -print |
  11.157 -	   sed 's/\.am$/.in/' |
  11.158 -	   while read f; do touch "$f"; done
  11.159 -    ;;
  11.160 -
  11.161 -  autom4te)
  11.162 -    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
  11.163 -       # We have it, but it failed.
  11.164 -       exit 1
  11.165 -    fi
  11.166 -
  11.167 -    echo 1>&2 "\
  11.168 -WARNING: \`$1' is needed, and you do not seem to have it handy on your
  11.169 -         system.  You might have modified some files without having the
  11.170 -         proper tools for further handling them.
  11.171 -         You can get \`$1Help2man' as part of \`Autoconf' from any GNU
  11.172 -         archive site."
  11.173 -
  11.174 -    file=`echo "$*" | sed -n 's/.*--output[ =]*\([^ ]*\).*/\1/p'`
  11.175 -    test -z "$file" && file=`echo "$*" | sed -n 's/.*-o[ ]*\([^ ]*\).*/\1/p'`
  11.176 -    if test -f "$file"; then
  11.177 -	touch $file
  11.178 -    else
  11.179 -	test -z "$file" || exec >$file
  11.180 -	echo "#! /bin/sh"
  11.181 -	echo "# Created by GNU Automake missing as a replacement of"
  11.182 -	echo "#  $ $@"
  11.183 -	echo "exit 0"
  11.184 -	chmod +x $file
  11.185 -	exit 1
  11.186 -    fi
  11.187 -    ;;
  11.188 -
  11.189 -  bison|yacc)
  11.190 -    echo 1>&2 "\
  11.191 -WARNING: \`$1' is missing on your system.  You should only need it if
  11.192 -         you modified a \`.y' file.  You may need the \`Bison' package
  11.193 -         in order for those modifications to take effect.  You can get
  11.194 -         \`Bison' from any GNU archive site."
  11.195 -    rm -f y.tab.c y.tab.h
  11.196 -    if [ $# -ne 1 ]; then
  11.197 -        eval LASTARG="\${$#}"
  11.198 -	case "$LASTARG" in
  11.199 -	*.y)
  11.200 -	    SRCFILE=`echo "$LASTARG" | sed 's/y$/c/'`
  11.201 -	    if [ -f "$SRCFILE" ]; then
  11.202 -	         cp "$SRCFILE" y.tab.c
  11.203 -	    fi
  11.204 -	    SRCFILE=`echo "$LASTARG" | sed 's/y$/h/'`
  11.205 -	    if [ -f "$SRCFILE" ]; then
  11.206 -	         cp "$SRCFILE" y.tab.h
  11.207 -	    fi
  11.208 -	  ;;
  11.209 -	esac
  11.210 -    fi
  11.211 -    if [ ! -f y.tab.h ]; then
  11.212 -	echo >y.tab.h
  11.213 -    fi
  11.214 -    if [ ! -f y.tab.c ]; then
  11.215 -	echo 'main() { return 0; }' >y.tab.c
  11.216 -    fi
  11.217 -    ;;
  11.218 -
  11.219 -  lex|flex)
  11.220 -    echo 1>&2 "\
  11.221 -WARNING: \`$1' is missing on your system.  You should only need it if
  11.222 -         you modified a \`.l' file.  You may need the \`Flex' package
  11.223 -         in order for those modifications to take effect.  You can get
  11.224 -         \`Flex' from any GNU archive site."
  11.225 -    rm -f lex.yy.c
  11.226 -    if [ $# -ne 1 ]; then
  11.227 -        eval LASTARG="\${$#}"
  11.228 -	case "$LASTARG" in
  11.229 -	*.l)
  11.230 -	    SRCFILE=`echo "$LASTARG" | sed 's/l$/c/'`
  11.231 -	    if [ -f "$SRCFILE" ]; then
  11.232 -	         cp "$SRCFILE" lex.yy.c
  11.233 -	    fi
  11.234 -	  ;;
  11.235 -	esac
  11.236 -    fi
  11.237 -    if [ ! -f lex.yy.c ]; then
  11.238 -	echo 'main() { return 0; }' >lex.yy.c
  11.239 -    fi
  11.240 -    ;;
  11.241 -
  11.242 -  help2man)
  11.243 -    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
  11.244 -       # We have it, but it failed.
  11.245 -       exit 1
  11.246 -    fi
  11.247 -
  11.248 -    echo 1>&2 "\
  11.249 -WARNING: \`$1' is missing on your system.  You should only need it if
  11.250 -	 you modified a dependency of a manual page.  You may need the
  11.251 -	 \`Help2man' package in order for those modifications to take
  11.252 -	 effect.  You can get \`Help2man' from any GNU archive site."
  11.253 -
  11.254 -    file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
  11.255 -    if test -z "$file"; then
  11.256 -	file=`echo "$*" | sed -n 's/.*--output=\([^ ]*\).*/\1/p'`
  11.257 -    fi
  11.258 -    if [ -f "$file" ]; then
  11.259 -	touch $file
  11.260 -    else
  11.261 -	test -z "$file" || exec >$file
  11.262 -	echo ".ab help2man is required to generate this page"
  11.263 -	exit 1
  11.264 -    fi
  11.265 -    ;;
  11.266 -
  11.267 -  makeinfo)
  11.268 -    if test -z "$run" && (makeinfo --version) > /dev/null 2>&1; then
  11.269 -       # We have makeinfo, but it failed.
  11.270 -       exit 1
  11.271 -    fi
  11.272 -
  11.273 -    echo 1>&2 "\
  11.274 -WARNING: \`$1' is missing on your system.  You should only need it if
  11.275 -         you modified a \`.texi' or \`.texinfo' file, or any other file
  11.276 -         indirectly affecting the aspect of the manual.  The spurious
  11.277 -         call might also be the consequence of using a buggy \`make' (AIX,
  11.278 -         DU, IRIX).  You might want to install the \`Texinfo' package or
  11.279 -         the \`GNU make' package.  Grab either from any GNU archive site."
  11.280 -    file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
  11.281 -    if test -z "$file"; then
  11.282 -      file=`echo "$*" | sed 's/.* \([^ ]*\) *$/\1/'`
  11.283 -      file=`sed -n '/^@setfilename/ { s/.* \([^ ]*\) *$/\1/; p; q; }' $file`
  11.284 -    fi
  11.285 -    touch $file
  11.286 -    ;;
  11.287 -
  11.288 -  tar)
  11.289 -    shift
  11.290 -    if test -n "$run"; then
  11.291 -      echo 1>&2 "ERROR: \`tar' requires --run"
  11.292 -      exit 1
  11.293 -    fi
  11.294 -
  11.295 -    # We have already tried tar in the generic part.
  11.296 -    # Look for gnutar/gtar before invocation to avoid ugly error
  11.297 -    # messages.
  11.298 -    if (gnutar --version > /dev/null 2>&1); then
  11.299 -       gnutar "$@" && exit 0
  11.300 -    fi
  11.301 -    if (gtar --version > /dev/null 2>&1); then
  11.302 -       gtar "$@" && exit 0
  11.303 -    fi
  11.304 -    firstarg="$1"
  11.305 -    if shift; then
  11.306 -	case "$firstarg" in
  11.307 -	*o*)
  11.308 -	    firstarg=`echo "$firstarg" | sed s/o//`
  11.309 -	    tar "$firstarg" "$@" && exit 0
  11.310 -	    ;;
  11.311 -	esac
  11.312 -	case "$firstarg" in
  11.313 -	*h*)
  11.314 -	    firstarg=`echo "$firstarg" | sed s/h//`
  11.315 -	    tar "$firstarg" "$@" && exit 0
  11.316 -	    ;;
  11.317 -	esac
  11.318 -    fi
  11.319 -
  11.320 -    echo 1>&2 "\
  11.321 -WARNING: I can't seem to be able to run \`tar' with the given arguments.
  11.322 -         You may want to install GNU tar or Free paxutils, or check the
  11.323 -         command line arguments."
  11.324 -    exit 1
  11.325 -    ;;
  11.326 -
  11.327 -  *)
  11.328 -    echo 1>&2 "\
  11.329 -WARNING: \`$1' is needed, and you do not seem to have it handy on your
  11.330 -         system.  You might have modified some files without having the
  11.331 -         proper tools for further handling them.  Check the \`README' file,
  11.332 -         it often tells you about the needed prerequirements for installing
  11.333 -         this package.  You may also peek at any GNU archive site, in case
  11.334 -         some other package would contain this missing \`$1' program."
  11.335 -    exit 1
  11.336 -    ;;
  11.337 -esac
  11.338 -
  11.339 -exit 0